<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>
    <modules>
        <module>4dkankan-common</module>
        <module>4dkankan-center-scene</module>
        <module>4dkankan-center-platform</module>
        <module>4dkankan-center-api</module>
        <module>4dkankan-center-auth</module>
        <module>4dkankan-center-log</module>
        <module>4dkankan-center-modeling</module>
        <module>4dkankan-center-statistics</module>
        <module>4dkankan-pay</module>
<!--      <module>4dkankan-center-scene-download</module>-->
    </modules>

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.3.12.RELEASE</version>
        <relativePath/>
    </parent>

    <groupId>com.fdkankan</groupId>
    <artifactId>4dkankan-parent</artifactId>
    <version>2.0.0-SNAPSHOT</version>
    <packaging>pom</packaging>

    <repositories>
        <repository>
            <id>releases</id>
            <url>http://192.168.0.115:8081/nexus-2.14.2-01/content/repositories/releases/</url>
        </repository>
        <repository>
            <id>snapshots</id>
            <url>http://192.168.0.115:8081/nexus-2.14.2-01/content/repositories/snapshots/</url>
        </repository>
        <repository>
            <id>nexus-aliyun</id>
            <url>http://maven.aliyun.com/nexus/content/groups/public</url>
        </repository>
    </repositories>

    <properties>
        <java.version>1.8</java.version>
        <hutool-version>5.7.17</hutool-version>
        <spring.cloud-version>Hoxton.SR8</spring.cloud-version>
        <fdkankan.common-version>2.0.0-SNAPSHOT</fdkankan.common-version>
        <fastjson-version>1.2.79</fastjson-version>
        <servlet-api-version>2.4</servlet-api-version>
        <spring.boot-mybatis-version>1.3.2</spring.boot-mybatis-version>
        <spring.plugin.metadata-version>1.2.0.RELEASE</spring.plugin.metadata-version>
        <jwt-version>3.10.3</jwt-version>
        <ant-version>1.8.2</ant-version>
        <shiro.version>1.7.1</shiro.version>
        <version>0.6.0</version>
        <jjwt.version>0.6.0</jjwt.version>
        <fastjson-version>1.2.79</fastjson-version>
        <protobuf-java.version>3.2.0</protobuf-java.version>
        <commons-pool2.version>2.5.0</commons-pool2.version>
        <zxing.version>2.1</zxing.version>
    </properties>

    <dependencyManagement>

        <dependencies>

            <dependency>
                <groupId>com.alibaba.cloud</groupId>
                <artifactId>spring-cloud-alibaba-dependencies</artifactId>
                <version>2.2.7.RELEASE</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>${spring.cloud-version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutool-version}</version>
            </dependency>

            <dependency>
                <groupId>com.fdkankan</groupId>
                <artifactId>4dkankan-common</artifactId>
                <version>${fdkankan.common-version}</version>
            </dependency>

            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${fastjson-version}</version>
            </dependency>

            <dependency>
                <groupId>javax.servlet</groupId>
                <artifactId>servlet-api</artifactId>
                <version>${servlet-api-version}</version>
            </dependency>

            <dependency>
                <groupId>org.mybatis.spring.boot</groupId>
                <artifactId>mybatis-spring-boot-starter</artifactId>
                <version>${spring.boot-mybatis-version}</version>
            </dependency>

            <dependency>
                <groupId>org.springframework.plugin</groupId>
                <artifactId>spring-plugin-metadata</artifactId>
                <version>${spring.plugin.metadata-version}</version>
            </dependency>

            <dependency>
                <groupId>com.auth0</groupId>
                <artifactId>java-jwt</artifactId>
                <version>${jwt-version}</version>
            </dependency>

            <dependency>
                <groupId>org.apache.ant</groupId>
                <artifactId>ant</artifactId>
                <version>${ant-version}</version>
            </dependency>

            <dependency>
                <groupId>org.apache.shiro</groupId>
                <artifactId>shiro-spring</artifactId>
                <version>${shiro.version}</version>
            </dependency>

            <dependency>
                <groupId>io.jsonwebtoken</groupId>
                <artifactId>jjwt</artifactId>
                <version>${jjwt.version}</version>
            </dependency>

            <dependency>
                <groupId>com.google.protobuf</groupId>
                <artifactId>protobuf-java</artifactId>
                <version>${protobuf-java.version}</version>
            </dependency>

            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-lang3</artifactId>
                <version>${commons-lang3.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-pool2</artifactId>
                <version>${commons-pool2.version}</version>
            </dependency>

            <dependency>
                <groupId>org.apache.logging.log4j</groupId>
                <artifactId>log4j-api</artifactId>
                <version>2.17.0</version>
            </dependency>
            <dependency>
                <groupId>org.apache.logging.log4j</groupId>
                <artifactId>log4j-to-slf4j</artifactId>
                <version>2.17.0</version>
            </dependency>

        </dependencies>
    </dependencyManagement>



    <build>

        <pluginManagement>
            <plugins>
<!--                <plugin>-->
<!--                    <groupId>org.springframework.boot</groupId>-->
<!--                    <artifactId>spring-boot-maven-plugin</artifactId>-->
<!--                </plugin>-->
<!--                <plugin>-->
<!--                    <groupId>org.apache.maven.plugins</groupId>-->
<!--                    <artifactId>maven-compiler-plugin</artifactId>-->
<!--                    <version>3.1</version>-->
<!--                </plugin>-->

<!--                <plugin>-->
<!--                    <groupId>org.apache.maven.plugins</groupId>-->
<!--                    <artifactId>maven-surefire-plugin</artifactId>-->
<!--                    <version>${maven-surefire-plugin.version}</version>-->
<!--                    <configuration>-->
<!--                        <skipTests>true</skipTests>&lt;!&ndash;默认关掉单元测试 &ndash;&gt;-->
<!--                    </configuration>-->
<!--                </plugin>-->

                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-compiler-plugin</artifactId>
                </plugin>
            </plugins>
        </pluginManagement>

    </build>

    <distributionManagement>
        <repository>
            <id>releases</id>
            <url>http://192.168.0.115:8081/nexus-2.14.2-01/content/repositories/releases/</url>
        </repository>

        <snapshotRepository>
            <id>snapshots</id>
            <url>http://192.168.0.115:8081/nexus-2.14.2-01/content/repositories/snapshots/</url>
        </snapshotRepository>
    </distributionManagement>

</project>
